Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfTableCellElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.table.OdfTableCellElementBase
                                      org.odftoolkit.odfdom.dom.element.table.OdfTableCellElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfTableCell

    public abstract class OdfTableCellElement

extends OdfTableCellElementBase

DOM implementation of OpenDocument element table:table-cell.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfTableCellElement(OdfFileDom aOwnerDoc)` Create the instance of OdfTableCellElement

Method Summary
`OdfAlphabeticalIndexElement` | `createAlphabeticalIndexElement(String name)` Create child element text:alphabetical-index.
`OdfAnnotationElement` | `createAnnotationElement()` Create child element office:annotation.
`OdfBibliographyElement` | `createBibliographyElement(String name)` Create child element text:bibliography.
`OdfCaptionElement` | `createCaptionElement()` Create child element draw:caption.
`OdfCellRangeSourceElement` | `createCellRangeSourceElement(String name, OdfPositiveInteger lastColumnSpanned, OdfPositiveInteger lastRowSpanned, OdfAnyURI href)` Create child element table:cell-range-source.
`OdfCircleElement` | `createCircleElement()` Create child element draw:circle.
`OdfConnectorElement` | `createConnectorElement(Integer viewBox)` Create child element draw:connector.
`OdfControlElement` | `createControlElement(OdfId control)` Create child element draw:control.
`OdfCustomShapeElement` | `createCustomShapeElement()` Create child element draw:custom-shape.
`OdfDetectiveElement` | `createDetectiveElement()` Create child element table:detective.
`OdfHyperlinkElement` | `createdrawHyperlinkElement(OdfAnyURI href)` Create child element draw:a.
`OdfMeasureElement` | `createdrawMeasureElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:measure.
`OdfEllipseElement` | `createEllipseElement()` Create child element draw:ellipse.
`OdfFrameElement` | `createFrameElement()` Create child element draw:frame.
`OdfGroupElement` | `createGroupElement()` Create child element draw:g.
`OdfHeadingElement` | `createHeadingElement(OdfPositiveInteger outlineLevel)` Create child element text:h.
`OdfIllustrationIndexElement` | `createIllustrationIndexElement(String name)` Create child element text:illustration-index.
`OdfLineElement` | `createLineElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:line.
`OdfListElement` | `createListElement()` Create child element text:list.
`OdfNumberedParagraphElement` | `createNumberedParagraphElement(String listId)` Create child element text:numbered-paragraph.
`OdfObjectIndexElement` | `createObjectIndexElement(String name)` Create child element text:object-index.
`OdfPageThumbnailElement` | `createPageThumbnailElement()` Create child element draw:page-thumbnail.
`OdfParagraphElement` | `createParagraphElement()` Create child element text:p.
`OdfPathElement` | `createPathElement(String d, Integer viewBox)` Create child element draw:path.
`OdfPolygonElement` | `createPolygonElement(String points, Integer viewBox)` Create child element draw:polygon.
`OdfPolylineElement` | `createPolylineElement(String points, Integer viewBox)` Create child element draw:polyline.
`OdfRectElement` | `createRectElement()` Create child element draw:rect.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfBoolean concave, OdfPositiveInteger corners)` Create child element draw:regular-polygon.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfPositiveInteger corners, OdfBoolean concave)` Create child element draw:regular-polygon.
`OdfSceneElement` | `createSceneElement()` Create child element dr3d:scene.
`OdfSectionElement` | `createSectionElement(OdfSectionDisplayType display, String condition, String name)` Create child element text:section.
`OdfSectionElement` | `createSectionElement(String name, OdfSectionDisplayType display)` Create child element text:section.
`OdfSoftPageBreakElement` | `createSoftPageBreakElement()` Create child element text:soft-page-break.
`OdfTableElement` | `createTableElement()` Create child element table:table.
`OdfTableIndexElement` | `createTableIndexElement(String name)` Create child element text:table-index.
`OdfTableOfContentElement` | `createTableOfContentElement(String name)` Create child element text:table-of-content.
`OdfUserIndexElement` | `createUserIndexElement(String name)` Create child element text:user-index.
`OdfPositiveInteger` | `getNumberColumnsSpanned()` Get value of attribute table:number-columns-spanned.
`OdfPositiveInteger` | `getNumberMatrixColumnsSpanned()` Get value of attribute table:number-matrix-columns-spanned.
`OdfPositiveInteger` | `getNumberMatrixRowsSpanned()` Get value of attribute table:number-matrix-rows-spanned.
`OdfPositiveInteger` | `getNumberRowsSpanned()` Get value of attribute table:number-rows-spanned.
`OdfName` | `getOdfName()` Get the element name
`void` | `setNumberColumnsSpanned(OdfPositiveInteger numberColumnsSpanned)` Set value of attribute table:number-columns-spanned.
`void` | `setNumberMatrixColumnsSpanned(OdfPositiveInteger numberMatrixColumnsSpanned)` Set value of attribute table:number-matrix-columns-spanned.
`void` | `setNumberMatrixRowsSpanned(OdfPositiveInteger numberMatrixRowsSpanned)` Set value of attribute table:number-matrix-rows-spanned.
`void` | `setNumberRowsSpanned(OdfPositiveInteger numberRowsSpanned)` Set value of attribute table:number-rows-spanned.

Methods inherited from class org.odftoolkit.odfdom.dom.element.table.OdfTableCellElementBase
`getAbout, getBooleanValue, getContent, getContentValidationName, getCurrency, getDatatype, getDateValue, getFormula, getNumberColumnsRepeated, getProperty, getProtect, getProtected, getStringValue, getStyleName, getTimeValue, getValue, getValueType, getXmlid, init, setAbout, setBooleanValue, setContent, setContentValidationName, setCurrency, setDatatype, setDateValue, setFormula, setNumberColumnsRepeated, setProperty, setProtect, setProtected, setStringValue, setStyleName, setTimeValue, setValue, setValueType, setXmlid`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setAttributeNS, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfTableCellElement

    public OdfTableCellElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfTableCellElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element table:table-cell.

### getNumberColumnsSpanned

    public OdfPositiveInteger getNumberColumnsSpanned()

  Get value of attribute table:number-columns-spanned.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setNumberColumnsSpanned

    public void setNumberColumnsSpanned(OdfPositiveInteger numberColumnsSpanned)

  Set value of attribute table:number-columns-spanned.

  Parameters:
    `numberColumnsSpanned` - the attribute's type is OdfPositiveInteger

### getNumberRowsSpanned

    public OdfPositiveInteger getNumberRowsSpanned()

  Get value of attribute table:number-rows-spanned.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setNumberRowsSpanned

    public void setNumberRowsSpanned(OdfPositiveInteger numberRowsSpanned)

  Set value of attribute table:number-rows-spanned.

  Parameters:
    `numberRowsSpanned` - the attribute's type is OdfPositiveInteger

### getNumberMatrixColumnsSpanned

    public OdfPositiveInteger getNumberMatrixColumnsSpanned()

  Get value of attribute table:number-matrix-columns-spanned.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setNumberMatrixColumnsSpanned

    public void setNumberMatrixColumnsSpanned(OdfPositiveInteger numberMatrixColumnsSpanned)

  Set value of attribute table:number-matrix-columns-spanned.

  Parameters:
    `numberMatrixColumnsSpanned` - the attribute's type is OdfPositiveInteger

### getNumberMatrixRowsSpanned

    public OdfPositiveInteger getNumberMatrixRowsSpanned()

  Get value of attribute table:number-matrix-rows-spanned.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setNumberMatrixRowsSpanned

    public void setNumberMatrixRowsSpanned(OdfPositiveInteger numberMatrixRowsSpanned)

  Set value of attribute table:number-matrix-rows-spanned.

  Parameters:
    `numberMatrixRowsSpanned` - the attribute's type is OdfPositiveInteger

### createCellRangeSourceElement

    public OdfCellRangeSourceElement createCellRangeSourceElement(String name,
                                                                  OdfPositiveInteger lastColumnSpanned,
                                                                  OdfPositiveInteger lastRowSpanned,
                                                                  OdfAnyURI href)

  Create child element table:cell-range-source.

  Parameters:
    `name` - String
    `lastColumnSpanned` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
    `lastRowSpanned` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
    `href` - the attribute's type is URI
  Returns:
    return the element table:cell-range-source

### createAnnotationElement

    public OdfAnnotationElement createAnnotationElement()

  Create child element office:annotation.

  Returns:
    return the element office:annotation

### createDetectiveElement

    public OdfDetectiveElement createDetectiveElement()

  Create child element table:detective.

  Returns:
    return the element table:detective

### createHeadingElement

    public OdfHeadingElement createHeadingElement(OdfPositiveInteger outlineLevel)

  Create child element text:h.

  Parameters:
    `outlineLevel` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
  Returns:
    return the element text:h

### createParagraphElement

    public OdfParagraphElement createParagraphElement()

  Create child element text:p.

  Returns:
    return the element text:p

### createListElement

    public OdfListElement createListElement()

  Create child element text:list.

  Returns:
    return the element text:list

### createNumberedParagraphElement

    public OdfNumberedParagraphElement createNumberedParagraphElement(String listId)

  Create child element text:numbered-paragraph.

  Parameters:
    `listId` - String
  Returns:
    return the element text:numbered-paragraph

### createTableElement

    public OdfTableElement createTableElement()

  Create child element table:table.

  Returns:
    return the element table:table

### createSectionElement

    public OdfSectionElement createSectionElement(String name,
                                                  OdfSectionDisplayType display)

  Create child element text:section.

  Parameters:
    `name` - String
    `display` - the attribute's type is OdfSectionDisplayType, see text:section-display at specification
  Returns:
    return the element text:section

### createSectionElement

    public OdfSectionElement createSectionElement(OdfSectionDisplayType display,
                                                  String condition,
                                                  String name)

  Create child element text:section.

  Parameters:
    `display` - the attribute's type is OdfSectionDisplayType, see text:section-display at specification
    `condition` - String
    `name` - String
  Returns:
    return the element text:section

### createSoftPageBreakElement

    public OdfSoftPageBreakElement createSoftPageBreakElement()

  Create child element text:soft-page-break.

  Returns:
    return the element text:soft-page-break

### createTableOfContentElement

    public OdfTableOfContentElement createTableOfContentElement(String name)

  Create child element text:table-of-content.

  Parameters:
    `name` - String
  Returns:
    return the element text:table-of-content

### createIllustrationIndexElement

    public OdfIllustrationIndexElement createIllustrationIndexElement(String name)

  Create child element text:illustration-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:illustration-index

### createTableIndexElement

    public OdfTableIndexElement createTableIndexElement(String name)

  Create child element text:table-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:table-index

### createObjectIndexElement

    public OdfObjectIndexElement createObjectIndexElement(String name)

  Create child element text:object-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:object-index

### createUserIndexElement

    public OdfUserIndexElement createUserIndexElement(String name)

  Create child element text:user-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:user-index

### createAlphabeticalIndexElement

    public OdfAlphabeticalIndexElement createAlphabeticalIndexElement(String name)

  Create child element text:alphabetical-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:alphabetical-index

### createBibliographyElement

    public OdfBibliographyElement createBibliographyElement(String name)

  Create child element text:bibliography.

  Parameters:
    `name` - String
  Returns:
    return the element text:bibliography

### createRectElement

    public OdfRectElement createRectElement()

  Create child element draw:rect.

  Returns:
    return the element draw:rect

### createLineElement

    public OdfLineElement createLineElement(OdfLength x1,
                                            OdfLength y1,
                                            OdfLength x2,
                                            OdfLength y2)

  Create child element draw:line.

  Parameters:
    `x1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `x2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
  Returns:
    return the element draw:line

### createPolylineElement

    public OdfPolylineElement createPolylineElement(String points,
                                                    Integer viewBox)

  Create child element draw:polyline.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polyline

### createPolygonElement

    public OdfPolygonElement createPolygonElement(String points,
                                                  Integer viewBox)

  Create child element draw:polygon.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfPositiveInteger corners,
                                                                OdfBoolean concave)

  Create child element draw:regular-polygon.

  Parameters:
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
    `concave` - the attribute's type is Boolean
  Returns:
    return the element draw:regular-polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfBoolean concave,
                                                                OdfPositiveInteger corners)

  Create child element draw:regular-polygon.

  Parameters:
    `concave` - the attribute's type is Boolean
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
  Returns:
    return the element draw:regular-polygon

### createPathElement

    public OdfPathElement createPathElement(String d,
                                            Integer viewBox)

  Create child element draw:path.

  Parameters:
    `d` - String
    `viewBox` - Integer
  Returns:
    return the element draw:path

### createCircleElement

    public OdfCircleElement createCircleElement()

  Create child element draw:circle.

  Returns:
    return the element draw:circle

### createEllipseElement

    public OdfEllipseElement createEllipseElement()

  Create child element draw:ellipse.

  Returns:
    return the element draw:ellipse

### createGroupElement

    public OdfGroupElement createGroupElement()

  Create child element draw:g.

  Returns:
    return the element draw:g

### createPageThumbnailElement

    public OdfPageThumbnailElement createPageThumbnailElement()

  Create child element draw:page-thumbnail.

  Returns:
    return the element draw:page-thumbnail

### createFrameElement

    public OdfFrameElement createFrameElement()

  Create child element draw:frame.

  Returns:
    return the element draw:frame

### createdrawMeasureElement

    public OdfMeasureElement createdrawMeasureElement(OdfLength x1,
                                                      OdfLength y1,
                                                      OdfLength x2,
                                                      OdfLength y2)

  Create child element draw:measure.

  Parameters:
    `x1` - the attribute's type is String
    `y1` - the attribute's type is String
    `x2` - the attribute's type is String
    `y2` - the attribute's type is String
  Returns:
    return the element draw:measure

### createCaptionElement

    public OdfCaptionElement createCaptionElement()

  Create child element draw:caption.

  Returns:
    return the element draw:caption

### createConnectorElement

    public OdfConnectorElement createConnectorElement(Integer viewBox)

  Create child element draw:connector.

  Parameters:
    `viewBox` - Integer
  Returns:
    return the element draw:connector

### createControlElement

    public OdfControlElement createControlElement(OdfId control)

  Create child element draw:control.

  Parameters:
    `control` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfId
  Returns:
    return the element draw:control

### createSceneElement

    public OdfSceneElement createSceneElement()

  Create child element dr3d:scene.

  Returns:
    return the element dr3d:scene

### createCustomShapeElement

    public OdfCustomShapeElement createCustomShapeElement()

  Create child element draw:custom-shape.

  Returns:
    return the element draw:custom-shape

### createdrawHyperlinkElement

    public OdfHyperlinkElement createdrawHyperlinkElement(OdfAnyURI href)

  Create child element draw:a.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element draw:a

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.